Skip to main content

Get transaction summaries

GET 

/accounts/:address/transaction_summaries

Retrieves summary information for an account's on-chain committed transactions (both sequence-number-based and unordered transactions). Each transaction summary includes sender address, transaction hash, version, and replay protection nonce.

  • If start_version is provided, transaction summaries starting from that version are returned.
  • If start_version is not provided and only end_version is provided, transaction summaries ending at end_version are returned.
  • If both start_version and end_version are not provided, the account's most recent committed transaction summary is returned.
  • Output is always composed of transaction summaries sorted in ascending order by version.
  • To query pending transactions, use the Get Transaction by Hash API.

Request

Responses

Successful Response

Response Headers
    X-APTOS-BLOCK-HEIGHT

    Current block height of the chain

    X-APTOS-CHAIN-ID

    Chain ID of the current chain

    X-APTOS-EPOCH

    Current epoch of the chain

    X-APTOS-LEDGER-OLDEST-VERSION

    Oldest unpruned ledger version of the chain

    X-APTOS-LEDGER-TIMESTAMPUSEC

    Current timestamp of the chain

    X-APTOS-LEDGER-VERSION

    Current ledger version of the chain

    X-APTOS-OLDEST-BLOCK-HEIGHT

    Oldest unpruned block height of the chain

    X-APTOS-CURSOR

    Cursor for the next page

    X-APTOS-GAS-USED

    Amount of gas actually used for transaction execution